class LoginAttempts {
  String phone_number;
  String first_attempt_at;
  int attempts;
  String ban_untill;
  bool banned;

  factory LoginAttempts.fromJson(Map<String, dynamic> json) => LoginAttempts(
        phone_number: json["phone_number"] ?? '',
        first_attempt_at: json["first_attempt_at"] ?? '',
        attempts: json["attempts"] ?? 0,
        ban_untill: json["ban_untill"] ?? '',
        banned: json["banned"] != null ? json["banned"] : false,
      );

  LoginAttempts({
    required this.phone_number,
    required this.first_attempt_at,
    required this.attempts,
    required this.ban_untill,
    required this.banned,
  });

  Map<String, dynamic> toJson() => {
        "phone_number": phone_number,
        "first_attempt_at": first_attempt_at,
        "attempts": attempts,
        "ban_untill": ban_untill,
        "banned": banned,
      };
}
