import '../models/login-attempts.dart';
import 'package:ecom_widgets/services/dio_service.dart';

class LoginAttemptService {
  DioService dioService = DioService();

  Future<LoginAttempts?> attemptLogin(LoginAttempts attempts) async {
    final response = await dioService.postData("login", attempts.toJson());

    if (response != null) {
      return LoginAttempts.fromJson(response);
    } else
      return null;
  }

  Future<LoginAttempts?> getLogin(LoginAttempts attempts) async {
    final response = await dioService.postData("login/get", attempts.toJson());

    if (response != null) {
      return LoginAttempts.fromJson(response);
    } else
      return null;
  }
}
